# class Chef::Provider::RubyBlock

### Public Instance Methods

action_create()
Alias for: action_run
action_run() click to toggle source

    # File lib/chef/provider/ruby_block.rb, line 31
    def action_run
      converge_by("execute the ruby block #{@new_resource.name}") do
        @new_resource.block.call
        Chef::Log.info("#{@new_resource} called")
      end
    end

Also aliased as: action_create
load_current_resource() click to toggle source

    # File lib/chef/provider/ruby_block.rb, line 27
    def load_current_resource
      true
    end

whyrun_supported?() click to toggle source

    # File lib/chef/provider/ruby_block.rb, line 23
    def whyrun_supported?
      true
    end